Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514279 - Access control roles not modifying correctly.
Summary: Access control roles not modifying correctly.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Landon LaSmith
URL:
Whiteboard:
Depends On:
Blocks: 1526047
TreeView+ depends on / blocked
 
Reported: 2017-11-17 00:16 UTC by Ryan Spagnola
Modified: 2018-06-21 21:12 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1526047 (view as bug list)
Environment:
Last Closed: 2018-06-21 21:12:57 UTC
Category: Bug
Cloudforms Team: CFME Core
llasmith: needinfo-


Attachments (Terms of Use)

Description Ryan Spagnola 2017-11-17 00:16:02 UTC
Description of problem:
Access Control Roles RH Insights and Automation Ansible not staying enabled when modifying other roles

Version-Release number of selected component (if applicable):
5.8.2.3

How reproducible:


Steps to Reproduce:
1: Edit a Role in Access Control -> Roles.
2: Select "Everything" checkbox in Product Features and save. (all product features are enabled)
3: Edit Role and uncheck one (anything) product feature. Except "Red Hat Insights" and "Automation -> Ansible" checkbox.
4: Save the changes.


Actual results:
The "Red Hat Insights" and "Automation -> Ansible" checkbox have been unchecked too.

Expected results:
Only the modified role would be the one unchecked unless the Red Hat Insights and Automation Ansible roles are restricted then they shouldn't save when selecting Everything

Additional info:

Comment 2 Dave Johnson 2017-11-17 17:50:52 UTC
Landon, can this be reproduced on 5.9?

Comment 3 Landon LaSmith 2017-11-17 19:02:12 UTC
The same type of issue can be reproduced in 5.9.0.9 but with the "Monitor" product feature. Monitor is disabled whenever you disable one or more product features.

It appears that in this case Monitor is always included when any feature is disabled.  Even if you enable monitor and disable any other feature in the same edit action it will still disable Monitor.

Comment 6 CFME Bot 2017-12-13 17:46:45 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/239e165d0b4e4246a4078896d21828750aa87ffd

commit 239e165d0b4e4246a4078896d21828750aa87ffd
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Dec 12 14:00:41 2017 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Dec 12 14:00:41 2017 -0500

    Removed redundant "Monitor" main tab node.
    
    Removed an extra node that was causing confusion on role edit/summary screen while showing the node and it's children as selected even tho it was selected and user had an access to Monitor main tab in UI.
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1514279

 db/fixtures/miq_product_features.yml | 35 +++++++++++++++--------------------
 1 file changed, 15 insertions(+), 20 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.